--- doxygen-1.4.3.orig/src/latexgen.cpp	2005-07-07 23:27:20.911176000 +0100
+++ doxygen-1.4.3/src/latexgen.cpp	2005-07-07 23:26:33.523035200 +0100
@@ -299,7 +299,21 @@
     << "\\end{titlepage}" << endl;
   if (!Config_getBool("COMPACT_LATEX")) t << "\\clearemptydoublepage\n";
   t << "\\pagenumbering{roman}\n";
+
+  // Generate the table of contents
+  if(Config_getBool("LATEX_HIDE_INDICES"))
+  {
   t << "\\tableofcontents\n";
+  }
+  else
+  {
+    // Create top level only index; each section has its own detailed index
+    t << "\\newcounter{tocdepthbak}\n";
+    t << "\\setcounter{tocdepthbak}{\\value{tocdepth}}\n";
+    t << "\\setcounter{tocdepth}{0}\n";
+    t << "\\tableofcontents\n";
+    t << "\\setcounter{tocdepth}{\\value{tocdepthbak}}\n";
+  }
   if (!Config_getBool("COMPACT_LATEX")) t << "\\clearemptydoublepage\n";
   t << "\\pagenumbering{arabic}\n";
 }
